/*
 * Note: this file originally auto-generated by mib2c using
 *       version $ of $
 *
 * $Id:$
 */
/** @ingroup interface: Routines to interface to Net-SNMP
 *
 * \warning This code should not be modified, called directly,
 *          or used to interpret functionality. It is subject to
 *          change at any time.
 * 
 * @{
 */
/*
 * *********************************************************************
 * *********************************************************************
 * *********************************************************************
 * ***                                                               ***
 * ***  NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE  ***
 * ***                                                               ***
 * ***                                                               ***
 * ***       THIS FILE DOES NOT CONTAIN ANY USER EDITABLE CODE.      ***
 * ***                                                               ***
 * ***                                                               ***
 * ***       THE GENERATED CODE IS INTERNAL IMPLEMENTATION, AND      ***
 * ***                                                               ***
 * ***                                                               ***
 * ***    IS SUBJECT TO CHANGE WITHOUT WARNING IN FUTURE RELEASES.   ***
 * ***                                                               ***
 * ***                                                               ***
 * *********************************************************************
 * *********************************************************************
 * *********************************************************************
 */
#ifndef DOT1QFDBTABLE_INTERFACE_H
#define DOT1QFDBTABLE_INTERFACE_H

#ifdef __cplusplus
extern "C" {
#endif


#include "dot1qFdbTable.h"


/* ********************************************************************
 * Table declarations
 */

/* PUBLIC interface initialization routine */
void _dot1qFdbTable_initialize_interface(dot1qFdbTable_registration * user_ctx,
                                    u_long flags);
void _dot1qFdbTable_shutdown_interface(dot1qFdbTable_registration * user_ctx);

dot1qFdbTable_registration *
dot1qFdbTable_registration_get( void );

dot1qFdbTable_registration *
dot1qFdbTable_registration_set( dot1qFdbTable_registration * newreg );

netsnmp_container *dot1qFdbTable_container_get( void );
int dot1qFdbTable_container_size( void );

    dot1qFdbTable_rowreq_ctx * dot1qFdbTable_allocate_rowreq_ctx(void *);
void dot1qFdbTable_release_rowreq_ctx(dot1qFdbTable_rowreq_ctx *rowreq_ctx);

int dot1qFdbTable_index_to_oid(netsnmp_index *oid_idx,
                            dot1qFdbTable_mib_index *mib_idx);
int dot1qFdbTable_index_from_oid(netsnmp_index *oid_idx,
                              dot1qFdbTable_mib_index *mib_idx);

/*
 * access to certain internals. use with caution!
 */
void dot1qFdbTable_valid_columns_set(netsnmp_column_info *vc);


#ifdef __cplusplus
}
#endif

#endif /* DOT1QFDBTABLE_INTERFACE_H */
/** @} */
